header
The Bard's Tale IV: Barrows Deep
The Bard's Tale IV: Barrows Deep cover
Release date: 2018. September 18.
Genre: Role-playing game
Developer: inXile Entertainment
Publisher: inXile Entertainment

The Bard's Tale IV: Barrows Deep System Requirements

Minimum system requirements:

CPU:
Intel Core i5-2500K (4 * 3300) or equivalent
RAM:
8 GB RAM
GPU:
NVIDIA GeForce GTX 760 (2048 MB) or Radeon HD 7970 (3072 MB MB)
OS:
Windows 7/8/8.1/10 (64 bit)
STO:
55 GB available space

Recommended system requirements:

CPU:
Intel i5-4590 equivalent or greater
RAM:
8 GB RAM
GPU:
NVIDIA GTX 970/AMD 290 equivalent or greater
OS:
Windows 7/8/8.1/10 (64 bit)
STO:
55 GB available space
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Please support our site in order to make further progress!
SUPPORT US
Similar games:
Werewolves WithinThe Bard's Tale TrilogyINSOMNIA: The ArkCitizen SleeperCat QuestFor The King
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister